## bucklespring 1.4.0

=== Makefile ===

NAME   	:= buckle
SRC 	:= main.c scan-linux.c scan-windows.c scan-mac.c
VERSION	:= 1.4.0

PATH_AUDIO ?= "./wav"

CFLAGS  += $(CPPFLAGS)
CFLAGS  += -Wall -Werror 
CFLAGS  += -DVERSION=\"$(VERSION)\"
CFLAGS  += -DPATH_AUDIO=\"$(PATH_AUDIO)\"
CFLAGS	+= -O3 -g
LDFLAGS += -g

ifdef mingw
 BIN     := $(NAME).exe
 CROSS   := i686-w64-mingw32-
 CFLAGS  += -Iwin32/include -Iwin32/include/AL
 LDFLAGS += -mwindows -static-libgcc -static-libstdc++
 CFLAGS  += -DALURE_STATIC_LIBRARY
 LIBS    += -Lwin32/lib -lALURE32-static -lOpenAL32 
else 
 OS := $(shell uname)
 ifeq ($(OS), Darwin)
  BIN     := $(NAME)
  PKG_CONFIG_PATH := "./mac/lib/pkgconfig" 
  LDFLAGS += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs alure openal)
  CFLAGS  += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags alure openal)
  LDFLAGS  += -framework ApplicationServices -framework OpenAL
 else
  BIN     := $(NAME)
  LDFLAGS += $(shell pkg-config --libs openal alure xtst x11)
  CFLAGS  += $(shell pkg-config --cflags openal alure xtst x11)
 endif
endif

OBJS    = $(subst .c,.o, $(SRC))
CC 	= $(CROSS)gcc
LD 	= $(CROSS)gcc
STRIP 	= $(CROSS)strip

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

$(BIN):	$(OBJS)
	$(LD) -o $@ $(OBJS) $(LIBS) $(LDFLAGS) 

dist:
	mkdir -p $(NAME)-$(VERSION)
	cp -a *.c *.h wav Makefile LICENSE $(NAME)-$(VERSION)
	tar -zcf /tmp/$(NAME)-$(VERSION).tgz $(NAME)-$(VERSION)
	rm -rf $(NAME)-$(VERSION)

rec: rec.c
	gcc -Wall -Werror rec.c -o rec

clean:
	rm -f $(OBJS) $(BIN) core rec

strip: $(BIN)
	$(STRIP) $(BIN)

=== debian/changelog ===
bucklespring (1.4.0-3) unstable; urgency=medium

  * QA upload.
  * Update Maintainer to QA group
  * Delete obsolete Vcs-* URIs
  * d/control: switch from pkg-config to pkgconf
  * Remove overrides for obsolete lintian tags

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 02 May 2025 13:59:47 +0200

bucklespring (1.4.0-2) unstable; urgency=medium

  * Allow build on non-linux architectures. (Closes: #852557)
  * Raise compat level to 10.

 -- Dominik George <nik@naturalnet.de>  Wed, 25 Jan 2017 14:55:55 +0100

bucklespring (1.4.0-1) unstable; urgency=medium

  * New upstream release.
     + Add mute function.
  * Source package contains proper copyright note now.
  * Fix VCS-Git URL.
  * Drop Debian patches, upstream incorporated all of them.

 -- Dominik George <nik@naturalnet.de>  Wed, 05 Oct 2016 15:36:56 +0200

bucklespring (1.3.6-1) unstable; urgency=medium

  * Initial release (Closes: #838226)

 -- Dominik George <nik@naturalnet.de>  Sun, 18 Sep 2016 19:08:53 +0200

=== debian/control ===
Source: bucklespring
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10), pkgconf, libopenal-dev, libalure-dev, libxtst-dev
Standards-Version: 3.9.8
Homepage: https://github.com/zevv/bucklespring

Package: bucklespring
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bucklespring-data
Description: Nostalgia bucklespring keyboard sound
 Buckle emulates the sound of an old IBM Model-M space saver
 bucklespring keyboard while typing within an X session.
 .
 It runs as a background process and plays back the sound of each key
 pressed and released on the keyboard, just as if using an IBM Model-M.
 The sound of each key has carefully been sampled, and is played back
 while simulating the proper distance and direction for a realistic 3D
 sound palette of pure nostalgic bliss.

Package: bucklespring-data
Architecture: all
Depends: ${misc:Depends}
Description: Nostalgia bucklespring keyboard sound - sound files
 Buckle emulates the sound of an old IBM Model-M space saver
 bucklespring keyboard while typing within an X session.
 .
 It runs as a background process and plays back the sound of each key
 pressed and released on the keyboard, just as if using an IBM Model-M.
 The sound of each key has carefully been sampled, and is played back
 while simulating the proper distance and direction for a realistic 3D
 sound palette of pure nostalgic bliss.
 .
 This package contains the keyboard sound files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PATH_AUDIO=/usr/share/buckle/wav

%:
	dh $@

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bucklespring-$1\.tar\.gz/ \
  https://github.com/zevv/bucklespring/tags .*/v?(\d\S*)\.tar\.gz

## bucklespring 1.5.1

=== Makefile ===

NAME   	:= buckle
SRC 	:= main.c
VERSION	:= 1.5.1

PATH_AUDIO ?= "./wav"

CFLAGS	?= -O3 -g
LDFLAGS ?= -g
CFLAGS  += -Wall -Werror 
CFLAGS  += -DVERSION=\"$(VERSION)\"
CFLAGS  += -DPATH_AUDIO=\"$(PATH_AUDIO)\"

ifdef mingw
 BIN     := $(NAME).exe
 CROSS   := i686-w64-mingw32-
 CFLAGS  += -Iwin32/include -Iwin32/include/AL
 LDFLAGS += -mwindows -static-libgcc -static-libstdc++
 LIBS    += -Lwin32/lib -lALURE32 -lOpenAL32
 SRC     += scan-windows.c
else 
 OS := $(shell uname)
 ifeq ($(OS), Darwin)
  BIN     := $(NAME)
  PKG_CONFIG_PATH := "./mac/lib/pkgconfig" 
  LIBS    += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs alure openal)
  CFLAGS  += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags alure openal)
  LDFLAGS += -framework ApplicationServices -framework OpenAL
  SRC     += scan-mac.c
 else
  BIN     := $(NAME)
  ifdef libinput
   LIBS    += $(shell pkg-config --libs openal alure libinput libudev)
   CFLAGS  += $(shell pkg-config --cflags openal alure libinput libudev)
   SRC     += scan-libinput.c
  else
   LIBS    += $(shell pkg-config --libs openal alure xtst x11)
   CFLAGS  += $(shell pkg-config --cflags openal alure xtst x11)
   SRC     += scan-x11.c
  endif
 endif
endif

OBJS    = $(subst .c,.o, $(SRC))
CC 	?= $(CROSS)gcc
LD 	?= $(CROSS)gcc
CCLD 	?= $(CC)
STRIP 	= $(CROSS)strip

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $@

$(BIN):	$(OBJS)
	$(CCLD) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

dist:
	mkdir -p $(NAME)-$(VERSION)
	cp -a *.c *.h wav Makefile LICENSE $(NAME)-$(VERSION)
	tar -zcf /tmp/$(NAME)-$(VERSION).tgz $(NAME)-$(VERSION)
	rm -rf $(NAME)-$(VERSION)

rec: rec.c
	gcc -Wall -Werror rec.c -o rec

clean:
	$(RM) $(OBJS) $(BIN) core rec

strip: $(BIN)
	$(STRIP) $(BIN)

=== debian/changelog ===
bucklespring (1.5.1-1) unstable; urgency=medium

  * QA upload.

  [ Dominik George ]
   * Move to Salsa.
   * Update my mail address.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + bucklespring-data: Add Multi-Arch: foreign.

  [ Helmut Grohne ]
  * Fix FTCBFS: hard codes build architecture build tools
    Closes: #958133

  [ Andreas Tille ]
  * d/watch: Version=5
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Update renamed lintian tag names in lintian overrides.

 -- Andreas Tille <tille@debian.org>  Thu, 04 Dec 2025 10:08:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: games
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 10), pkgconf, libopenal-dev, libalure-dev, libxtst-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13), pkgconf, libopenal-dev, libalure-dev, libxtst-dev
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/debian/bucklespring.git
+Vcs-Browser: https://salsa.debian.org/debian/bucklespring
 Homepage: https://github.com/zevv/bucklespring
 
 Package: bucklespring
@@ -22,6 +24,7 @@
 Package: bucklespring-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Nostalgia bucklespring keyboard sound - sound files
  Buckle emulates the sound of an old IBM Model-M space saver
  bucklespring keyboard while typing within an X session.

=== debian/watch ===
Version: 5

Template: Github
Owner: zevv
Project: bucklespring
